Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.core
Class SLA

    java.lang.Object
      org.jini.rio.core.ThresholdValues
          org.jini.rio.core.SLA

All Implemented Interfaces:
  Serializable, Cloneable

    public class SLA

extends ThresholdValues
implements Serializable

A SLA provides a mechanism to a specify a preferred range of acceptable lower and upper boundaries that fit a specific criteria

See Also:
  Serialized Form

Constructor Summary
`SLA(String identifier, double[] range)` Construct a SLA
`SLA(String identifier, double[] range, String[] configArray)` Construct a SLA
`SLA(String identifier, double[] range, String[] configArray, WatchDescriptor[] watchDescs)` Construct a SLA

Method Summary
`String[]` | `getConfigArgs()` Get the configArgs property used to create the Configuration object for the SLA providing context and behavior for a policy handler
`String` | `getIdentifier()` Get the identifier of the ThresholdWatch this SLA is for
`WatchDescriptor[]` | `getWatchDescriptors()` Get the watchDescriptors property
`String` | `toString()` String representation

Methods inherited from class org.jini.rio.core.ThresholdValues
`clone, getCurrentHighThreshold, getCurrentLowThreshold, getHighThreshold, getLowThreshold, getThresholdBreachedCount, getThresholdClearedCount, incThresholdBreachedCount, incThresholdClearedCount, resetHighThreshold, resetLowThreshold, setCurrentHighThreshold, setCurrentLowThreshold`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SLA

    public SLA(String identifier,
               double[] range)

  Construct a SLA

  Parameters:
    `identifier` - The identifier of the ThresholdWatch class the SLA will be paired with
    `range` - Array of double values indicating the range of acceptable lower and upper boundaries

### SLA

    public SLA(String identifier,
               double[] range,
               String[] configArray)

  Construct a SLA

  Parameters:
    `identifier` - The identifier of a concrete implementation of a ThresholdWatch class the SLA will be associated with
    `range` - Array of double values indicating the range of acceptable lower and upper boundaries
    `configArray` - Value to create a Configuration object for the SLA providing context and behavior for a policy handler

### SLA

    public SLA(String identifier,
               double[] range,
               String[] configArray,
               WatchDescriptor[] watchDescs)

  Construct a SLA

  Parameters:
    `identifier` - The identifier of a concrete implementation of a ThresholdWatch class the SLA will be associated with
    `range` - Array of double values indicating the range of acceptable lower and upper boundaries
    `configArray` - Value to create a Configuration object for the SLA providing context and behavior for a policy handler
    `watchDescs` - If not null, an array of WatchDescriptor instances that refer to associated Watch instances

Method Detail

### getIdentifier

    public String getIdentifier()

  Get the identifier of the ThresholdWatch this SLA is for

  Returns:
    The identifier of the ThresholdWatch this SLA is for. If there is no identifier, this method returns an empty String

### getConfigArgs

    public String[] getConfigArgs()

  Get the configArgs property used to create the Configuration object for the SLA providing context and behavior for a policy handler

  Returns:
    The configArgs configured for this utility. A new array is allocated each time. If there are no configArgs, a zero-length array is returned

### getWatchDescriptors

    public WatchDescriptor[] getWatchDescriptors()

  Get the watchDescriptors property

  Returns:
    The WatchDescriptor instances configured for this utility. A new array is allocated each time. If there are no WatchDescriptor instances, a zero-length array is returned

### toString

    public String toString()

  String representation

  Overrides:
    `toString` in class `ThresholdValues`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.